## kinfocenter 5.26.90

=== CMakeLists.txt ===
project(kinfocenter)
set(PROJECT_VERSION "5.26.90")

cmake_minimum_required(VERSION 3.16)
set(QT_MIN_VERSION "5.15.2")

set(KF5_MIN_VERSION "5.97")
set(KDE_COMPILERSETTINGS_LEVEL "5.82")
find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH}  ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(FeatureSummary)
include(KDEClangFormat)
include(ECMFindQmlModule)
include(KDEGitCommitHooks)
include(ECMSetupQtPluginMacroNames)
include(ECMQueryQt)

find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Core Gui Widgets)

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    Config
    ConfigWidgets
    CoreAddons
    DocTools
    I18n
    KCMUtils
    KIO
    Service
    Solid
    WidgetsAddons
    Declarative
    Package
    Solid
)

ecm_find_qmlmodule(org.kde.kirigami 2.5)

find_package(SystemSettings QUIET)
set_package_properties(SystemSettings PROPERTIES
    DESCRIPTION "Plasma's SystemSettings"
    TYPE RUNTIME
    PURPOSE "Absolutely required because the KInfoCenter binary is a symlink to it!"
)

include_directories(${CMAKE_CURRENT_BINARY_DIR})

remove_definitions(-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_FROM_BYTEARRAY -DQT_NO_KEYWORDS)
add_definitions(-DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT)
add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
add_definitions(-DQT_USE_QSTRINGBUILDER)

ecm_query_qt(QtBinariesDir QT_INSTALL_BINS)

add_subdirectory( Categories )
add_subdirectory( kcontrol/menus )
add_subdirectory( Modules )
add_subdirectory(src)

include(ECMOptionalAddSubdirectory)
ecm_optional_add_subdirectory( doc )
kdoctools_install(po)

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

##install

install( FILES org.kde.kinfocenter.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
install( PROGRAMS org.kde.kinfocenter.desktop  DESTINATION  ${KDE_INSTALL_APPDIR} )

ADD_CUSTOM_TARGET(kinfocenter_link ALL
                  COMMAND ${CMAKE_COMMAND} -E create_symlink ${KDE_INSTALL_FULL_BINDIR}/systemsettings5 ${CMAKE_CURRENT_BINARY_DIR}/kinfocenter)

install( FILES ${CMAKE_CURRENT_BINARY_DIR}/kinfocenter DESTINATION ${KDE_INSTALL_FULL_BINDIR}/ )

ki18n_install(po)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kinfocenter (4:5.26.90-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.90).
  * Bump Standards-Version to 4.6.2, no change required.
  * Replace libegl1-mesa-dev build dependency with libegl-dev.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 23 Jan 2023 21:50:52 +0100

kinfocenter (4:5.26.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.5).

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 07 Jan 2023 00:20:16 +0100

kinfocenter (4:5.26.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.4).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 29 Nov 2022 15:59:12 +0100

kinfocenter (4:5.26.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.3).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 08 Nov 2022 15:42:10 +0100

kinfocenter (4:5.26.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.1).
  * New upstream release (5.26.2).
  * Add dependency to systemsettings.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 27 Oct 2022 23:25:21 +0200

kinfocenter (4:5.26.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.0).
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 11 Oct 2022 15:43:59 +0200

kinfocenter (4:5.25.90-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.25.90).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 25 Sep 2022 00:14:20 +0200

kinfocenter (4:5.25.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.25.5).

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 09 Sep 2022 23:20:31 +0200

=== debian/control ===
Source: kinfocenter
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               extra-cmake-modules (>= 5.97~),
               gettext,
               libegl-dev,
               libkf5config-dev (>= 5.97~),
               libkf5configwidgets-dev (>= 5.97~),
               libkf5coreaddons-dev (>= 5.97~),
               libkf5declarative-dev (>= 5.97~),
               libkf5doctools-dev (>= 5.97~),
               libkf5i18n-dev (>= 5.97~),
               libkf5kcmutils-dev (>= 5.97~),
               libkf5kio-dev (>= 5.97~),
               libkf5package-dev (>= 5.97~),
               libkf5service-dev (>= 5.97~),
               libkf5solid-dev (>= 5.97~),
               libkf5widgetsaddons-dev (>= 5.97~),
               libusb-1.0-0-dev,
               pkg-config,
               qml-module-org-kde-kirigami2,
               qtbase5-dev (>= 5.15.2~),
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/plasma/kinfocenter
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kinfocenter
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kinfocenter.git
Rules-Requires-Root: no

Package: kinfocenter
Architecture: any
Depends: plasma-workspace (>= 4:5.14),
         qml-module-org-kde-kirigami2,
         systemsettings,
         usb.ids,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: dmidecode [any-amd64 arm64 armhf ia64 any-i386 riscv64], pciutils
Suggests: aha, samba, vulkan-tools [linux-any]
Description: system information viewer
 The kinfocenter provides you with a centralized and convenient
 overview of your system and desktop environment.
 .
 The information center is made up of multiple modules.  Each module is a
 separate application, but the information center organizes all of these
 programs into a convenient location.

## kinfocenter 5.27.2

=== debian/changelog ===
kinfocenter (4:5.27.2-1) unstable; urgency=medium

  [ Pino Toscano ]
  * Bump aha as recommend, so it is installed by default. (Closes: #1031976)
  * Remove the unused debian/kinfocenter.qml-ignore file.

  [ Aurélien COUDERC ]
  * New upstream release (5.27.1).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.27.2).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 28 Feb 2023 14:59:03 +0100

kinfocenter (4:5.27.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.27.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 18 Feb 2023 17:08:36 +0100

## kinfocenter 5.27.4

=== debian/changelog ===
kinfocenter (4:5.27.4-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.4)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Apr 2023 09:37:33 +0100

kinfocenter (4:5.27.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 14 Mar 2023 15:18:00 +0000

kinfocenter (4:5.27.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 28 Feb 2023 16:22:48 +0000

kinfocenter (4:5.27.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 25 Feb 2023 18:46:31 +0000

kinfocenter (4:5.27.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.0)
  * Build depend on libegl-dev instead of the old libegl1-mesa-dev

 -- Rik Mills <rikmills@kde.org>  Tue, 14 Feb 2023 13:40:33 +0000

kinfocenter (4:5.26.90-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.26.90)
  * Add clinfo to recommends.

 -- Rik Mills <rikmills@kde.org>  Mon, 06 Feb 2023 13:29:31 +0000

kinfocenter (4:5.26.5-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.26.5)

 -- Rik Mills <rikmills@kde.org>  Wed, 04 Jan 2023 09:12:23 +0000

kinfocenter (4:5.26.4-1ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Recommend aha, mesa-utils, mesa-utils-extra, vulkan-tools,

 -- Rik Mills <rikmills@kde.org>  Sat, 17 Dec 2022 11:19:33 +0000

kinfocenter (4:5.26.4-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.26.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 29 Nov 2022 14:03:35 +0000

kinfocenter (4:5.26.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.26.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 08 Nov 2022 14:11:07 +0000

kinfocenter (4:5.26.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.26.2)
  * Add x11-utils to runtime recommends.

 -- Rik Mills <rikmills@kde.org>  Sat, 05 Nov 2022 20:09:40 +0000

=== debian/control ===
Source: kinfocenter
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               extra-cmake-modules (>= 5.102.0~),
               gettext,
               libegl-dev,
               libkf5config-dev (>= 5.102.0~),
               libkf5configwidgets-dev (>= 5.102.0~),
               libkf5coreaddons-dev (>= 5.102.0~),
               libkf5declarative-dev (>= 5.102.0~),
               libkf5doctools-dev (>= 5.102.0~),
               libkf5i18n-dev (>= 5.102.0~),
               libkf5kcmutils-dev (>= 5.102.0~),
               libkf5kio-dev (>= 5.102.0~),
               libkf5package-dev (>= 5.102.0~),
               libkf5service-dev (>= 5.102.0~),
               libkf5solid-dev (>= 5.102.0~),
               libkf5widgetsaddons-dev (>= 5.102.0~),
               libusb-1.0-0-dev,
               pkg-config,
               qml-module-org-kde-kirigami2,
               qtbase5-dev (>= 5.15.2~),
Standards-Version: 4.6.1
Homepage: https://invent.kde.org/plasma/kinfocenter
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kinfocenter
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kinfocenter
Rules-Requires-Root: no

Package: kinfocenter
Architecture: any
Depends: plasma-workspace (>= 4:5.14),
         qml-module-org-kde-kirigami2,
         systemsettings,
         usb.ids,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: aha,
            clinfo,
            dmidecode,
            mesa-utils,
            mesa-utils-extra,
            pciutils,
            vulkan-tools,
            x11-utils,
Suggests: samba
Description: system information viewer
 The kinfocenter provides you with a centralized and convenient
 overview of your system and desktop environment.
 .
 The information center is made up of multiple modules.  Each module is a
 separate application, but the information center organizes all of these
 programs into a convenient location.

## kinfocenter 5.27.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 project(kinfocenter)
-set(PROJECT_VERSION "5.26.90")
+set(PROJECT_VERSION "5.27.5")
 
 cmake_minimum_required(VERSION 3.16)
 set(QT_MIN_VERSION "5.15.2")

=== Categories/CMakeLists.txt ===
install( FILES deviceinfocategory.desktop graphicalinfocategory.desktop networkinfocategory.desktop lostfoundcategory.desktop basicinformation.desktop detailedinformation.desktop
         DESTINATION  ${KDE_INSTALL_DATADIR}/kinfocenter/categories)

=== Modules/about-distro/CMakeLists.txt ===

# KI18N Translation Domain for this library
add_definitions(-DTRANSLATION_DOMAIN=\"kcm_about-distro\")

add_subdirectory(src)

=== Modules/egl/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2021 Harald Sitter <sitter@kde.org>

find_package(eglinfo)
set_package_properties(eglinfo PROPERTIES TYPE RUNTIME)

add_definitions(-DTRANSLATION_DOMAIN=\"kcm_egl\")

add_library(kcm_egl MODULE main.cpp)
target_link_libraries(kcm_egl KF5::CoreAddons KF5::QuickAddons KF5::I18n KInfoCenterInternal)

install(TARGETS kcm_egl DESTINATION ${KDE_INSTALL_PLUGINDIR}/plasma/kcms/kinfocenter)

kpackage_install_package(package kcm_egl kcms)

=== Modules/kwinsupportinfo/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2021 Harald Sitter <sitter@kde.org>
# SPDX-FileCopyrightText: 2022 Nate Graham <nate@kde.org>

add_definitions(-DTRANSLATION_DOMAIN=\"kcm_kwinsupportinfo\")

add_library(kcm_kwinsupportinfo MODULE main.cpp)
target_link_libraries(kcm_kwinsupportinfo KF5::CoreAddons KF5::QuickAddons KF5::I18n KInfoCenterInternal)

install(TARGETS kcm_kwinsupportinfo DESTINATION ${KDE_INSTALL_PLUGINDIR}/plasma/kcms/kinfocenter)

configure_file(kcm_kwinsupportinfo.json.in ${CMAKE_CURRENT_BINARY_DIR}/kcm_kwinsupportinfo.json @ONLY)

kpackage_install_package(package kcm_kwinsupportinfo kcms)

=== Modules/usbview/CMakeLists.txt ===
# KI18N Translation Domain for this library
add_definitions(-DTRANSLATION_DOMAIN=\"kcmusb\")

########### next target ###############

set(kcm_usb_PART_SRCS kcmusb.cpp
    kcmusb.h
    usbdb.cpp
    usbdb.h
    usbdevices.cpp
    usbdevices.h )

kcoreaddons_add_plugin(kcm_usb SOURCES ${kcm_usb_PART_SRCS} INSTALL_NAMESPACE "plasma/kcms/kinfocenter")

target_link_libraries(kcm_usb KF5::KCMUtils KF5::I18n Libusb-1.0)

=== Modules/about-distro/src/CMakeLists.txt ===
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/Version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/Version.h)
include_directories(${CMAKE_CURRENT_BINARY_DIR})

add_subdirectory(dmidecode-helper)

set(kcm_SRCS
    CPUEntry.cpp
    CPUEntry.h
    Entry.cpp
    Entry.h
    FancyString.cpp
    FancyString.h
    GPUEntry.cpp
    GPUEntry.h
    GraphicsPlatformEntry.cpp
    GraphicsPlatformEntry.h
    KernelEntry.cpp
    KernelEntry.h
    main.cpp
    MemoryEntry.cpp
    MemoryEntry.h
    OSVersionEntry.cpp
    OSVersionEntry.h
    PlasmaEntry.cpp
    PlasmaEntry.h
    ServiceRunner.cpp
)

kcoreaddons_add_plugin(kcm_about-distro SOURCES ${kcm_SRCS} INSTALL_NAMESPACE "plasma/kcms")

kcmutils_generate_desktop_file(kcm_about-distro)
target_link_libraries(kcm_about-distro
    KF5::CoreAddons
    KF5::I18n
    KF5::ConfigCore
    KF5::QuickAddons
    KF5::Solid
    KF5::Service
    KF5::KIOGui
    KF5::AuthCore)

kpackage_install_package(package kcm_about-distro kcms)

=== Modules/samba/autotests/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2020 Harald Sitter <sitter@kde.org>

if(NOT BUILD_TESTING)
    return()
endif()

remove_definitions(-DQT_NO_CAST_FROM_ASCII)

find_package(Qt${QT_MAJOR_VERSION}Test ${QT_MIN_VERSION} CONFIG REQUIRED)

include(ECMAddTests)

ecm_add_tests(
    ksambasharemodeltest.cpp
    smbmountmodeltest.cpp
    LINK_LIBRARIES
        Qt::Core
        Qt::Test
        kcm_samba_static
)

=== debian/changelog ===
kinfocenter (4:5.27.5-2) unstable; urgency=medium

  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 27 May 2023 18:23:40 +0200

kinfocenter (4:5.27.5-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.5).

 -- Patrick Franz <deltaone@debian.org>  Tue, 09 May 2023 23:23:59 +0200

kinfocenter (4:5.27.3-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.3).

 -- Patrick Franz <deltaone@debian.org>  Wed, 22 Mar 2023 23:12:26 +0100

=== debian/control ===
Source: kinfocenter
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               extra-cmake-modules (>= 5.97~),
               gettext,
               libegl-dev,
               libkf5config-dev (>= 5.97~),
               libkf5configwidgets-dev (>= 5.97~),
               libkf5coreaddons-dev (>= 5.97~),
               libkf5declarative-dev (>= 5.97~),
               libkf5doctools-dev (>= 5.97~),
               libkf5i18n-dev (>= 5.97~),
               libkf5kcmutils-dev (>= 5.97~),
               libkf5kio-dev (>= 5.97~),
               libkf5package-dev (>= 5.97~),
               libkf5service-dev (>= 5.97~),
               libkf5solid-dev (>= 5.97~),
               libkf5widgetsaddons-dev (>= 5.97~),
               libusb-1.0-0-dev,
               pkg-config,
               qml-module-org-kde-kirigami2,
               qtbase5-dev (>= 5.15.2~),
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/plasma/kinfocenter
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kinfocenter
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kinfocenter.git
Rules-Requires-Root: no

Package: kinfocenter
Architecture: any
Depends: plasma-workspace (>= 4:5.14),
         qml-module-org-kde-kirigami2,
         systemsettings,
         usb.ids,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: aha,
            dmidecode [any-amd64 arm64 armhf ia64 any-i386 riscv64],
            pciutils,
Suggests: samba, vulkan-tools [linux-any],
Description: system information viewer
 The kinfocenter provides you with a centralized and convenient
 overview of your system and desktop environment.
 .
 The information center is made up of multiple modules.  Each module is a
 separate application, but the information center organizes all of these
 programs into a convenient location.

## kinfocenter 5.27.7

=== debian/changelog ===
kinfocenter (4:5.27.7-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.7)

 -- Rik Mills <rikmills@kde.org>  Tue, 01 Aug 2023 17:14:17 +0100

kinfocenter (4:5.27.6-0ubuntu2) mantic; urgency=medium

  * Add wayland-utils as a Recommends: (LP: #1968491)

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Jul 2023 09:20:44 +0100

kinfocenter (4:5.27.6-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.6)

 -- Rik Mills <rikmills@kde.org>  Tue, 20 Jun 2023 17:35:46 +0100

kinfocenter (4:5.27.5-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.5)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 May 2023 05:13:59 +0100

=== debian/control ===
Source: kinfocenter
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               extra-cmake-modules (>= 5.102.0~),
               gettext,
               libegl-dev,
               libkf5config-dev (>= 5.102.0~),
               libkf5configwidgets-dev (>= 5.102.0~),
               libkf5coreaddons-dev (>= 5.102.0~),
               libkf5declarative-dev (>= 5.102.0~),
               libkf5doctools-dev (>= 5.102.0~),
               libkf5i18n-dev (>= 5.102.0~),
               libkf5kcmutils-dev (>= 5.102.0~),
               libkf5kio-dev (>= 5.102.0~),
               libkf5package-dev (>= 5.102.0~),
               libkf5service-dev (>= 5.102.0~),
               libkf5solid-dev (>= 5.102.0~),
               libkf5widgetsaddons-dev (>= 5.102.0~),
               libusb-1.0-0-dev,
               pkg-config,
               qml-module-org-kde-kirigami2,
               qtbase5-dev (>= 5.15.2~),
Standards-Version: 4.6.1
Homepage: https://invent.kde.org/plasma/kinfocenter
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kinfocenter
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kinfocenter
Rules-Requires-Root: no

Package: kinfocenter
Architecture: any
Depends: plasma-workspace (>= 4:5.14),
         qml-module-org-kde-kirigami2,
         systemsettings,
         usb.ids,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: aha,
            clinfo,
            dmidecode,
            mesa-utils,
            mesa-utils-extra,
            pciutils,
            vulkan-tools,
            wayland-utils,
            x11-utils,
Suggests: samba
Description: system information viewer
 The kinfocenter provides you with a centralized and convenient
 overview of your system and desktop environment.
 .
 The information center is made up of multiple modules.  Each module is a
 separate application, but the information center organizes all of these
 programs into a convenient location.

## kinfocenter 5.27.8

=== debian/changelog ===
kinfocenter (4:5.27.8-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.8)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Sep 2023 12:30:06 +0100

kinfocenter (4:5.27.7-1ubuntu1) mantic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Frameworks build deps at 5.102.0
    - Recommend aha, clinfo, mesa-utils, mesa-utils-extra,
      vulkan-tools, wayland-utils and x11-utils.

 -- Rik Mills <rikmills@kde.org>  Mon, 11 Sep 2023 12:18:39 +0100

kinfocenter (4:5.27.7-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.7).

 -- Patrick Franz <deltaone@debian.org>  Thu, 03 Aug 2023 18:51:13 +0200

=== debian/control ===
--- 
+++ 
@@ -27,7 +27,7 @@
                pkg-config,
                qml-module-org-kde-kirigami2,
                qtbase5-dev (>= 5.15.2~),
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://invent.kde.org/plasma/kinfocenter
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kinfocenter
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kinfocenter

## kinfocenter 5.27.10

=== debian/changelog ===
kinfocenter (4:5.27.10-0ubuntu1) noble; urgency=medium

  * New upstream release (5.27.10)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 11 Dec 2023 11:21:08 +0000

kinfocenter (4:5.27.9-0ubuntu1) noble; urgency=medium

  * New upstream release (5.27.9)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:18:18 +0100

## kinfocenter 5.27.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 project(kinfocenter)
-set(PROJECT_VERSION "5.27.5")
+set(PROJECT_VERSION "5.27.11")
 
 cmake_minimum_required(VERSION 3.16)
 set(QT_MIN_VERSION "5.15.2")
@@ -38,6 +38,7 @@
     Declarative
     Package
     Solid
+    Auth
 )
 
 ecm_find_qmlmodule(org.kde.kirigami 2.5)

=== src/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2021 Harald Sitter <sitter@kde.org>

add_library(KInfoCenterInternal SHARED CommandOutputContext.cpp CommandOutputContext.h)
target_link_libraries(KInfoCenterInternal Qt::Qml KF5::I18n KF5::CoreAddons)
# Disable legacy stuff to get rid of some deprecation warnings. Notably duplicated QProcess::finished overloads.
target_compile_definitions(KInfoCenterInternal PRIVATE -DQT_DISABLE_DEPRECATED_BEFORE=0x050e00)
target_include_directories(KInfoCenterInternal INTERFACE "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>")

# NB: this is a private library that may not be linked to. Symbol visibility is of no concern. Neither is versioning.
set_target_properties(KInfoCenterInternal
    PROPERTIES
        C_VISIBILITY_PRESET default
        CXX_VISIBILITY_PRESET default
        VISIBILITY_INLINES_HIDDEN OFF)

install(DIRECTORY qml/ DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/kinfocenter/private)
install(TARGETS KInfoCenterInternal ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} LIBRARY NAMELINK_SKIP)

=== Modules/opencl/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2021 Harald Sitter <sitter@kde.org>
# SPDX-FileCopyrightText: 2022 Linus Dierheimer <linus@dierheimer.de>
#
# SPDX-License-Identifier: BSD-3-Clause

find_package(clinfo)
set_package_properties(clinfo PROPERTIES TYPE RUNTIME)

add_definitions(-DTRANSLATION_DOMAIN=\"kcm_opencl\")

add_library(kcm_opencl MODULE main.cpp)
target_link_libraries(kcm_opencl KF5::CoreAddons KF5::QuickAddons KF5::I18n KInfoCenterInternal)

install(TARGETS kcm_opencl DESTINATION ${KDE_INSTALL_PLUGINDIR}/plasma/kcms/kinfocenter)

kpackage_install_package(package kcm_opencl kcms)

=== Modules/samba/CMakeLists.txt ===
# KI18N Translation Domain for this library
add_definitions(-DTRANSLATION_DOMAIN=\"kcmsamba\")

set(kcm_samba_PART_SRCS
    smbmountmodel.cpp
    ksambasharemodel.cpp
    smbmountmodel.h
    ksambasharemodel.h
)

qt_add_dbus_interface(kcm_samba_PART_SRCS org.freedesktop.Avahi.Server.xml org.freedesktop.Avahi.Server)

# Intermediate lib for use in testing.
add_library(kcm_samba_static STATIC ${kcm_samba_PART_SRCS})
set_property(TARGET kcm_samba_static PROPERTY POSITION_INDEPENDENT_CODE ON)
target_link_libraries(kcm_samba_static
    KF5::KIOCore
    KF5::Solid
    KF5::I18n
    KF5::KCMUtils
    KF5::KIOWidgets
)

set(kcm_samba_SRCS main.cpp)
qt_add_dbus_interface(kcm_samba_SRCS org.freedesktop.DBus.Properties.xml org.freedesktop.DBus.Properties)
kcoreaddons_add_plugin(kcm_samba SOURCES ${kcm_samba_SRCS} INSTALL_NAMESPACE "plasma/kcms/kinfocenter")
target_link_libraries(kcm_samba
    KF5::QuickAddons
    kcm_samba_static
)

kpackage_install_package(package kcmsamba kcms) # NB: the target name follows the kaboutdata name which in turn follows the i18n domain name

add_subdirectory(autotests)

=== debian/changelog ===
kinfocenter (4:5.27.11-0ubuntu3) noble; urgency=high

  * No change rebuild against libqt5core5t64, libqt5dbus5t64,
    libqt5gui5t64, libqt5widgets5t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:42:16 +0200

kinfocenter (4:5.27.11-0ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 09:05:47 +0000

kinfocenter (4:5.27.11-0ubuntu1) noble; urgency=medium

  [ Scarlett Moore ]
  * New upstream release (5.27.11)

  [ José Manuel Santamaría Lema ]
  * Replace obsolete pkg-config build depend with pkgconf

 -- Scarlett Moore <sgmoore@debian.org>  Sun, 17 Mar 2024 07:21:32 +0000

kinfocenter (4:5.27.10-1ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:01:22 +0000

kinfocenter (4:5.27.10-1ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Frameworks build deps at 5.102.0
    - Recommend aha, clinfo, mesa-utils, mesa-utils-extra,
      vulkan-tools, wayland-utils and x11-utils.

 -- Scarlett Moore <sgmoore@debian.org>  Wed, 21 Feb 2024 03:26:20 -0700

kinfocenter (4:5.27.10-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.10).

 -- Patrick Franz <deltaone@debian.org>  Thu, 11 Jan 2024 23:16:27 +0100

kinfocenter (4:5.27.9-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.9).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Fri, 27 Oct 2023 21:52:57 +0200

kinfocenter (4:5.27.8-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.8).

 -- Patrick Franz <deltaone@debian.org>  Wed, 13 Sep 2023 20:48:55 +0200

## kinfocenter 5.27.12

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 project(kinfocenter)
-set(PROJECT_VERSION "5.27.11")
+set(PROJECT_VERSION "5.27.12")
 
 cmake_minimum_required(VERSION 3.16)
 set(QT_MIN_VERSION "5.15.2")

=== Modules/CMakeLists.txt ===

add_subdirectory( about-distro )
add_subdirectory( devinfo )
add_subdirectory(vulkan)
add_subdirectory(kwinsupportinfo)
add_subdirectory(cpu)
add_subdirectory(wayland)
add_subdirectory(interrupts)
add_subdirectory(xserver)
add_subdirectory(egl)
add_subdirectory(glx)
add_subdirectory(pci)
add_subdirectory(firmware_security)
add_subdirectory(opencl)

add_subdirectory( samba )
add_subdirectory( nics )

find_package(USB1 MODULE)
set_package_properties(USB1 PROPERTIES DESCRIPTION "library that provides generic access to USB devicess"
                       URL "https://libusb.info/"
                       TYPE OPTIONAL
                       PURPOSE "View USB devices in kinfocenter"
                      )

if(USB1_FOUND)
   add_subdirectory( usbview )
endif()

if (CMAKE_SYSTEM_NAME MATCHES Linux)
    add_subdirectory(energy)
endif()

=== Modules/wayland/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2021 Harald Sitter <sitter@kde.org>

find_package(wayland-info)
set_package_properties(wayland-info PROPERTIES
    TYPE RUNTIME
    URL "https://gitlab.freedesktop.org/wayland/wayland-utils"
    PURPOSE "Wayland KCM")

add_definitions(-DTRANSLATION_DOMAIN=\"kcm_wayland\")

add_library(kcm_wayland MODULE main.cpp)
target_link_libraries(kcm_wayland KF5::CoreAddons KF5::QuickAddons KF5::I18n KInfoCenterInternal)

install(TARGETS kcm_wayland DESTINATION ${KDE_INSTALL_PLUGINDIR}/plasma/kcms/kinfocenter)

kpackage_install_package(package kcm_wayland kcms)

=== debian/changelog ===
kinfocenter (4:5.27.12-0ubuntu0.1) noble; urgency=medium

  * New upstream bugfix release. (LP: #2093184)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 23 Jan 2025 04:55:38 -0700

=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
                libkf5solid-dev (>= 5.102.0~),
                libkf5widgetsaddons-dev (>= 5.102.0~),
                libusb-1.0-0-dev,
-               pkg-config,
+               pkgconf,
                qml-module-org-kde-kirigami2,
                qtbase5-dev (>= 5.15.2~),
 Standards-Version: 4.6.2

## kinfocenter 6.1.4

=== debian/changelog ===
kinfocenter (4:6.1.4-0xneon+22.04+jammy+release+build62) jammy; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 08 Aug 2024 16:59:05 +0000

kinfocenter (4:6.1.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 16 Jul 2024 13:19:45 +0000

kinfocenter (4:6.1.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 02 Jul 2024 15:25:15 +0000

kinfocenter (4:6.1.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 25 Jun 2024 17:01:17 +0000

kinfocenter (4:6.1.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 15 Jun 2024 08:34:11 +0000

kinfocenter (4:6.0.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 16 Apr 2024 12:52:59 +0000

kinfocenter (4:6.0.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 26 Mar 2024 18:12:29 +0000

kinfocenter (4:6.0.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Mar 2024 17:41:23 +0000

kinfocenter (4:6.0.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Mar 2024 23:58:02 +0000

kinfocenter (4:6.0.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 22 Feb 2024 17:17:29 +0000

kinfocenter (4:5.91.90-0neon) jammy; urgency=medium

  * new release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Wed, 10 Jan 2024 16:12:39 +1000

kinfocenter (4:5.27.10-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Dec 2023 20:46:41 +0000

kinfocenter (4:5.27.9-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 24 Oct 2023 14:55:32 +0000

kinfocenter (4:5.27.8-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Sep 2023 12:03:48 +0000

kinfocenter (4:5.27.7-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 01 Aug 2023 11:16:42 +0000

kinfocenter (4:5.27.6-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 20 Jun 2023 16:00:55 +0000

kinfocenter (4:5.27.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 10 May 2023 12:29:46 +0000

kinfocenter (4:5.27.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 04 Apr 2023 12:24:49 +0000

kinfocenter (4:5.27.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 14 Mar 2023 15:06:01 +0000

kinfocenter (4:5.27.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Mar 2023 11:08:38 +0000

kinfocenter (4:5.27.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Feb 2023 14:27:42 +0000

kinfocenter (4:5.27.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 04 Jan 2023 10:21:29 +0000

kinfocenter (4:5.26.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 29 Nov 2022 13:40:45 +0000

kinfocenter (4:5.26.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 26 Oct 2022 11:37:16 +0000

kinfocenter (4:5.26.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 21 Oct 2022 14:14:50 +0000

kinfocenter (4:5.26.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 09 Oct 2022 09:55:46 +0000

kinfocenter (4:5.25.5-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Sep 2022 15:36:56 +0000

kinfocenter (4:5.25.4-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 02 Aug 2022 13:06:30 +0000

kinfocenter (4:5.25.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Jul 2022 16:03:14 +0000

kinfocenter (4:5.25.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 28 Jun 2022 13:01:51 +0000

kinfocenter (4:5.25.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 13 Jun 2022 22:37:52 +0000

kinfocenter (4:5.24.5-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 03 May 2022 12:15:32 +0000

kinfocenter (4:5.24.4-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 29 Mar 2022 13:51:49 +0000

kinfocenter (4:5.24.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 08 Mar 2022 15:42:59 +0000

kinfocenter (4:5.24.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 22 Feb 2022 13:58:48 +0000

kinfocenter (4:5.24.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Feb 2022 13:31:00 +0000

kinfocenter (4:5.24.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 07 Feb 2022 17:06:14 +0000

kinfocenter (4:5.23.5-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 04 Jan 2022 10:35:40 +0000

kinfocenter (4:5.23.4-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 30 Nov 2021 14:25:47 +0000

kinfocenter (4:5.23.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Nov 2021 17:48:32 +0000

kinfocenter (4:5.23.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 26 Oct 2021 14:05:08 +0000

kinfocenter (4:5.23.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 19 Oct 2021 15:35:10 +0000

kinfocenter (4:5.23.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Oct 2021 10:19:45 +0000

kinfocenter (4:5.22.5-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 31 Aug 2021 13:33:35 +0000

kinfocenter (4:5.22.4-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 27 Jul 2021 12:32:50 +0000

kinfocenter (4:5.22.3-0neon) focal; urgency=medium

  * New release



=== debian/control ===
Source: kinfocenter
Section: kde
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kcmutils-dev,
               kf6-kcolorscheme-dev,
               kf6-kcompletion-dev,
               kf6-kconfig-dev,
               kf6-kconfigwidgets-dev,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-kdbusaddons-dev,
               kf6-kdeclarative-dev,
               kf6-kdoctools-dev,
               kf6-ki18n-dev,
               kf6-kiconthemes-dev,
               kf6-kio-dev,
               kf6-kpackage-dev,
               kf6-kservice-dev,
               kf6-kwidgetsaddons-dev,
               kf6-kwindowsystem-dev,
               kf6-kxmlgui-dev,
               kf6-solid-dev,
               kwayland-dev,
               libegl1-mesa-dev,
               libpci-dev,
               libraw1394-dev [linux-any],
               libusb-1.0-0-dev,
               pkg-config,
               pkg-kde-tools-neon,
               qt6-base-dev
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/kde/workspace/kinfocenter
Vcs-Git: https://invent.kde.org/neon/kde/kinfocenter.git
Vcs-Browser: https://invent.kde.org/neon/kde/kinfocenter
Maintainer: Neon CI <neon@kde.org>

Package: kinfocenter
Architecture: any
Depends: aha,
         clinfo,
         dmidecode,
         fwupd,
         ieee-data,
         kf6-kirigami,
         mesa-utils,
         pciutils,
         plasma-workspace,
         systemsettings,
         usbutils,
         vulkan-tools,
         wayland-utils,
         x11-utils,
         ${misc:Depends},
         ${shlibs:Depends}
Description: system information viewer
 The kinfocenter provides you with a centralized and convenient
 overview of your system and desktop environment.
 .
 The information center is made up of multiple modules.  Each module is a
 separate application, but the information center organizes all of these
 programs into a convenient location.

## kinfocenter 6.1.5

=== debian/changelog ===
kinfocenter (4:6.1.5-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.1.5)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 Sep 2024 05:58:36 +0100

kinfocenter (4:6.1.4-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.1.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 14 Aug 2024 21:41:41 +0100

kinfocenter (4:6.1.3-1ubuntu1) UNRELEASED; urgency=medium

  * Merge from Debian. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Recommend mesa-utils-extra and x11-tools.

 -- Rik Mills <rikmills@kde.org>  Mon, 29 Jul 2024 10:39:13 +0100

kinfocenter (4:6.1.3-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.3).
  * Update build-deps and deps with the info from cmake.
  * Add more Recommends so that all pages work by default.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 21 Jul 2024 23:46:10 +0200

kinfocenter (4:6.1.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.1.0).
  * Update build-deps and deps with the info from cmake.
  * Update lintian-overrides.

 -- Patrick Franz <deltaone@debian.org>  Thu, 27 Jun 2024 00:01:31 +0200

kinfocenter (4:5.27.11-1) unstable; urgency=medium

  [ Patrick Franz ]
  * Bump Standards-Version to 4.7.0 (No changes needed).
  * New upstream release (5.27.11).

 -- Patrick Franz <deltaone@debian.org>  Sun, 19 May 2024 12:18:11 +0200

=== debian/control ===
Source: kinfocenter
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.2.0~),
               gettext,
               libegl-dev,
               libkf6auth-dev (>= 6.2.0~),
               libkf6config-dev (>= 6.2.0~),
               libkf6coreaddons-dev (>= 6.2.0~),
               libkf6doctools-dev (>= 6.2.0~),
               libkf6i18n-dev (>= 6.2.0~),
               libkf6kcmutils-dev (>= 6.2.0~),
               libkf6kio-dev (>= 6.2.0~),
               libkf6service-dev (>= 6.2.0~),
               libkf6solid-dev (>= 6.2.0~),
               libusb-1.0-0-dev,
               pkgconf,
               qml6-module-org-kde-kirigami,
               qt6-base-dev (>= 6.6.0+dfsg~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma/kinfocenter
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kinfocenter
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kinfocenter
Rules-Requires-Root: no

Package: kinfocenter
Architecture: any
Depends: plasma-workspace (>= 4:6.1.0~),
         qml6-module-org-kde-kirigami,
         systemsettings,
         usb.ids,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: aha,
            clinfo [linux-any],
            dmidecode [any-amd64 arm64 armhf any-i386 loong64 riscv64 x32],
            iproute2 [linux-any],
            pciutils,
            mesa-utils,
            mesa-utils-extra,
            vulkan-tools [linux-any],
            wayland-utils [linux-any],
            x11-utils,
Suggests: samba,
Description: system information viewer
 The kinfocenter provides you with a centralized and convenient
 overview of your system and desktop environment.
 .
 The information center is made up of multiple modules.  Each module is a
 separate application, but the information center organizes all of these
 programs into a convenient location.

## kinfocenter 6.2.5

=== debian/changelog ===
kinfocenter (4:6.2.5-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 31 Dec 2024 19:00:01 +0000

kinfocenter (4:6.2.4-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 26 Nov 2024 12:13:02 +0000

kinfocenter (4:6.2.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.0)
  * New upstream release (6.2.1)
  * New upstream release (6.2.2)
  * New upstream release (6.2.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 19:56:14 +0000

=== debian/control ===
--- 
+++ 
@@ -8,22 +8,22 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                dh-sequence-kf6,
-               extra-cmake-modules (>= 6.2.0~),
+               extra-cmake-modules (>= 6.5.0~),
                gettext,
                libegl-dev,
-               libkf6auth-dev (>= 6.2.0~),
-               libkf6config-dev (>= 6.2.0~),
-               libkf6coreaddons-dev (>= 6.2.0~),
-               libkf6doctools-dev (>= 6.2.0~),
-               libkf6i18n-dev (>= 6.2.0~),
-               libkf6kcmutils-dev (>= 6.2.0~),
-               libkf6kio-dev (>= 6.2.0~),
-               libkf6service-dev (>= 6.2.0~),
-               libkf6solid-dev (>= 6.2.0~),
+               libkf6auth-dev (>= 6.5.0~),
+               libkf6config-dev (>= 6.5.0~),
+               libkf6coreaddons-dev (>= 6.5.0~),
+               libkf6doctools-dev (>= 6.5.0~),
+               libkf6i18n-dev (>= 6.5.0~),
+               libkf6kcmutils-dev (>= 6.5.0~),
+               libkf6kio-dev (>= 6.5.0~),
+               libkf6service-dev (>= 6.5.0~),
+               libkf6solid-dev (>= 6.5.0~),
                libusb-1.0-0-dev,
                pkgconf,
-               qml6-module-org-kde-kirigami,
-               qt6-base-dev (>= 6.6.0+dfsg~),
+               qml6-module-org-kde-kirigami (>= 6.5.0~),
+               qt6-base-dev (>= 6.7.0+dfsg~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/plasma/kinfocenter
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kinfocenter

## kinfocenter 6.2.90

=== debian/changelog ===
kinfocenter (4:6.2.90-0ubuntu2) plucky; urgency=medium

  * Recommend pulseaudio-utils. (LP: #2091571)

 -- Rik Mills <rikmills@kde.org>  Sun, 19 Jan 2025 21:40:21 +0000

kinfocenter (4:6.2.90-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (6.2.90)
  * Build depend on libdrm-dev.
  * Update runtime depends.

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 04:26:25 +0000

=== debian/control ===
--- 
+++ 
@@ -8,21 +8,22 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                dh-sequence-kf6,
-               extra-cmake-modules (>= 6.5.0~),
+               extra-cmake-modules (>= 6.10.0~),
                gettext,
+               libdrm-dev,
                libegl-dev,
-               libkf6auth-dev (>= 6.5.0~),
-               libkf6config-dev (>= 6.5.0~),
-               libkf6coreaddons-dev (>= 6.5.0~),
-               libkf6doctools-dev (>= 6.5.0~),
-               libkf6i18n-dev (>= 6.5.0~),
-               libkf6kcmutils-dev (>= 6.5.0~),
-               libkf6kio-dev (>= 6.5.0~),
-               libkf6service-dev (>= 6.5.0~),
-               libkf6solid-dev (>= 6.5.0~),
+               libkf6auth-dev (>= 6.10.0~),
+               libkf6config-dev (>= 6.10.0~),
+               libkf6coreaddons-dev (>= 6.10.0~),
+               libkf6doctools-dev (>= 6.10.0~),
+               libkf6i18n-dev (>= 6.10.0~),
+               libkf6kcmutils-dev (>= 6.10.0~),
+               libkf6kio-dev (>= 6.10.0~),
+               libkf6service-dev (>= 6.10.0~),
+               libkf6solid-dev (>= 6.10.0~),
                libusb-1.0-0-dev,
                pkgconf,
-               qml6-module-org-kde-kirigami (>= 6.5.0~),
+               qml6-module-org-kde-kirigami (>= 6.10.0~),
                qt6-base-dev (>= 6.7.0+dfsg~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/plasma/kinfocenter
@@ -32,7 +33,7 @@
 
 Package: kinfocenter
 Architecture: any
-Depends: plasma-workspace (>= 4:6.1.0~),
+Depends: plasma-workspace (>= 4:6.2.90~),
          qml6-module-org-kde-kirigami,
          systemsettings,
          usb.ids,
@@ -41,8 +42,10 @@
 Recommends: aha,
             clinfo [linux-any],
             dmidecode [any-amd64 arm64 armhf any-i386 loong64 riscv64 x32],
+            edid-decode,
             iproute2 [linux-any],
             pciutils,
+            pulseaudio-utils,
             mesa-utils,
             mesa-utils-extra,
             vulkan-tools [linux-any],
